com.ibm.openpages.api.workflow

## Interface IWFSwitchesEval

- All Superinterfaces:
    IWFEvalUnit
  All Known Subinterfaces:
    IWFRangeEval

      public interface IWFSwitchesEval
      extends IWFEvalUnit

  Interface that represents switch evaluation in the context of process instance. The 'expr' unit is evaluated first and is compared to the key evaluation unit of cases. When the value of 'expr' evaluation matches to the value of the key, it then evaluates the 'value' unit. The evaluated value from the 'value' unit is returned to the execution context. When there is no matching case, the defaultValue unit is evaluated and its value is returned to the execution context.
  Since:
    8.0.0.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IWFSwitchesEval.IWFSwitchCase` Interface that represents one case of the switch evaluation

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFSwitchesEval.IWFSwitchCase` | `createSwitchesEvalCase()` Create a new instance of `IWFSwitchesEval.IWFSwitchCase` for switches evaluation unit
    `java.util.List<IWFSwitchesEval.IWFSwitchCase>` | `getCases()` Returns the list of case
    `IWFEvalUnit` | `getDefaultValue()` Returns the default value evaluation unit
    `IWFEvalUnit` | `getExpr()` Returns the 'expr' evaluation unit
    `void` | `setCases(java.util.List<IWFSwitchesEval.IWFSwitchCase> cases)` Assigns the list of case
    `void` | `setDefaultValue(IWFEvalUnit defaultValue)` Assigns the default value evaluation unit
    `void` | `setExpr(IWFEvalUnit expr)` Assigns the 'expr' evaluation unit

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getExpr

          IWFEvalUnit getExpr()

      Returns the 'expr' evaluation unit
      Returns:

    - #### setExpr

          void setExpr(IWFEvalUnit expr)

      Assigns the 'expr' evaluation unit
      Parameters:
        `expr` -

    - #### getCases

          java.util.List<IWFSwitchesEval.IWFSwitchCase> getCases()

      Returns the list of case
      Returns:

    - #### setCases

          void setCases(java.util.List<IWFSwitchesEval.IWFSwitchCase> cases)

      Assigns the list of case
      Parameters:
        `cases` -

    - #### createSwitchesEvalCase

          IWFSwitchesEval.IWFSwitchCase createSwitchesEvalCase()

      Create a new instance of `IWFSwitchesEval.IWFSwitchCase` for switches evaluation unit
      Returns:

    - #### getDefaultValue

          IWFEvalUnit getDefaultValue()

      Returns the default value evaluation unit
      Returns:

    - #### setDefaultValue

          void setDefaultValue(IWFEvalUnit defaultValue)

      Assigns the default value evaluation unit
      Parameters:
        `defaultValue` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.